Bash Kabuk Betikleme/Gereklilikler

Vikikitap, özgür kütüphane
Gezinti kısmına atla Arama kısmına atla

Sisteminizde Bash yüklü olmalıdır. Halihazırda içinde Bash kabuğu yüklü gelen Ubuntu, Manjaro vs. gibi bir GNU/Linux dağıtımı kullanmanız önerilir.

Eğer FreeBSD, MacOS ve öbür Unix benzeri işletim sistemlerini kullanıyorsanız ve Bash kabuğu yüklü gelmediyse paket yöneticileri aracılığıyla Bash'i indirebilir veya Bash dilini destekleyen ve yüklü gelen kabuk programlarını kullanabilirsiniz.

Eğer Windows 10 veya Windows 11 sistemini kullanıyorsanız Windows Subsystem for Linux (Linux için Windows Alt Sistemi) yazılımını indirebilirsiniz. Eğer daha eski bir Windows sürümü kullanıyor ve bir GNU/Linux veya Unix benzeri başka bir sisteme erişiminiz yoksa Cygwin gibi Bash ve çoğu öbür kabuk aracına sahip bir runtime ortamı kullanmanız işinizi kolaylaştıracaktır. Eğer Cygwin kullanıyorsanız Bash araçlarını içeren dizinin (genelde C:\Cygwin\bin konumunda olur) Windows dizin ağacında sıralandığından emin olun.

Android'de Termux isimli uygulamayı yükleyebilirsiniz.